Skip to main content
GET
/
api_keys
List user API keys
curl --request GET \
  --url https://api.partoo.co/v2/api_keys \
  --header 'x-APIKey: <api-key>'
{
  "page": 1,
  "max_page": 10,
  "count": 287,
  "api_keys": [
    {
      "id": 3245,
      "label": "API key name",
      "description": "API key for updating business name, and categories.",
      "user_id": "5309c3a237bbc544d8e26737",
      "user_name": "Perceval de Galles",
      "user_role": "BUSINESS_MANAGER",
      "user_type": "user",
      "disabled": false,
      "expiration_date": "2022-06-05",
      "last_used_at": "2019-08-22 11:46:38.914467+00",
      "created_by": "5309c3a237bbc544d8e26737",
      "created_by_name": "John Smith",
      "created_at": "2018-03-12 11:49:03.399475+00",
      "revoked_by": "5309c3a237bbc544d8e26737",
      "revoked_by_name": "John Smith",
      "revoked_at": "2020-10-20 11:46:38.914467+00",
      "ip_whitelist": [
        "172.16.0.0/12",
        "127.0.0.1"
      ],
      "has_restricted_permissions": true,
      "permissions": [
        "business_edit",
        "business_edit_name",
        "business_edit_categories"
      ]
    }
  ]
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Query Parameters

page
integer
default:0

Page number. 30 results per page

per_page
integer
default:30

Number of items to return per page. Currently limited to 100.

Required range: 1 <= x <= 100
status
enum<string>

Filter API keys by status. A key is inactive when its status is either expired or disabled.

Available options:
active,
inactive,
disabled,
expired
Example:

"active"

type
enum<string>

Filter API keys by the type of user the key belongs to.

Available options:
bot,
user
Example:

"user"

search_text
string

Free-text search filter matched against:

  • api_key — the actual API key string value
  • label — the human-readable label/name assigned to the key
include_all_permissions
boolean
default:false

Controls whether permissions are filtered based on what the API key's user is actually allowed to access. An API key can have broader permissions than its attached user's own permissions, however they won't be taken into account unless the user has them.

  • false (default) — The returned permissions list is filtered down with only those the user has access to.
  • true — The returned permissions list is not filtered. All permissions are included in the response, regardless of what the user has access to.

Response

OK

page
integer

Current page number

Example:

1

max_page
integer

Last page number

Example:

10

count
integer

Number of resources complying with filters

Example:

287

api_keys
object[]

List of API keys